%global momorel 1

Summary:	XML-RSS-LibXML module for perl 
Name:		perl-XML-RSS-LibXML
Version:	0.3004
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
Source0:	http://www.cpan.org/modules/by-module/XML/XML-RSS-LibXML-%{version}.tar.gz
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/XML/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq:	perl >= 1:5.8.8
BuildPreReq:	perl-XML-LibXML >= 1.64
BuildArch:	noarch
Requires:	perl-XML-LibXML

%description
XML-RSS-LibXML module for perl

%prep
%setup -q -n XML-RSS-LibXML-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > XML-RSS-LibXML-%{version}-filelist
if [ "$(cat XML-RSS-LibXML-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f XML-RSS-LibXML-%{version}-filelist
%defattr(-,root,root)
%doc Changes

%changelog
* Wed Feb 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3004-1m)
- update to 0.3004

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3003-2m)
- rebuild against rpm-4.6

* Sat Nov 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3003-1m)
- update to 0.3003

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3002-2m)
- rebuild against gcc43

* Mon Oct  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3002-1m)
- update to 0.3002

* Mon Sep 24 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.3001-2m)
- change the version number of required perl-XML-LibXML module

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3001-1m)
- upadate to 0.3001

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.23-2m)
- use vendor

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.23-1m)
- spec file was autogenerated
